package com.sinosig.client.usermgr.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import com.sinosig.core.client.model.IORGUSER;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 接口实体[ORGUSER] 对象
 */
public class ORGUSERImpl implements IORGUSER,Serializable{

    /**
     * 
     */
    public String ORGUSERId;

    @JsonIgnore
    public boolean ORGUSERIdDirtyFlag;
    
    /**
     * 
     */
    public String ORGUSERName;

    @JsonIgnore
    public boolean ORGUSERNameDirtyFlag;
    
    /**
     * 获取 []
     */
    @JsonProperty("orguserid")
    public String getORGUSERId(){
        return ORGUSERId ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("orguserid")
    public void setORGUSERId(String  oRGUSERId){
        this.ORGUSERId = oRGUSERId ;
        this.ORGUSERIdDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getORGUSERIdDirtyFlag(){
        return ORGUSERIdDirtyFlag ;
    }   

    /**
     * 获取 []
     */
    @JsonProperty("orgusername")
    public String getORGUSERName(){
        return ORGUSERName ;
    }

    /**
     * 设置 []
     */
    @JsonProperty("orgusername")
    public void setORGUSERName(String  oRGUSERName){
        this.ORGUSERName = oRGUSERName ;
        this.ORGUSERNameDirtyFlag = true ;
    }

     /**
     * 获取 []脏标记
     */
    @JsonIgnore
    public boolean getORGUSERNameDirtyFlag(){
        return ORGUSERNameDirtyFlag ;
    }   

}
